SDL_HINT_TIMER_RESOLUTION(3)

NAME
SDL_HINT_TIMER_RESOLUTION - A variable that controls the timer resolution, in milliseconds.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_TIMER_RESOLUTION SDL_TIMER_RESOLUTION"

DESCRIPTION
The higher resolution the timer, the more frequently the CPU services timer interrupts, and the more precise delays are, but this takes up power and CPU time. This hint is only used on Windows.

See this blog post for more information: http://randomascii.wordpress.com/2013/07/08/windows-timer-resolution-megawatts-wasted/

The default value is "1".

If this variable is set to "0", the system timer resolution is not set.

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.